1.1.1 Directs To 1.0 Rated 3 out of 5 stars

I wanted this to work on FF 29 so much. I even found a style that I really liked. I read your note to use 1.1.1 so I installed that. It took me to a page that says I was redirected to version 1.0

In add ons, it does show as 1.1.1 but it still doesn't work in FF 29. Please update, this would be fantastic to have it work.